Summary: A utility for determining file types.
Name: file
Version: 3.34
Release: 4mdk
Copyright: BSD 
Group: File tools
Source: ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.bz2
Source1: magic.mime
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root
Patch: file-3.34-verbose.patch.bz2
Patch1: file-3.34-file-magic-location.patch.bz2
Patch2: file-3.34-tex.patch.bz2
Patch3: file-3.34-fnovfl.patch.bz2
Patch4: file-3.34-magic5.patch.bz2
Patch5: file-3.34-broken.patch.bz2

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%prep
%setup -q
%patch -p1 -b .verbose
%patch1 -p1 -b .location
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
perl -p -i -e 's/sparc/SPARC/g' Magdir/*
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man5}
%makeinstall
# as requested by chmou.
mv $RPM_BUILD_ROOT%{_datadir}/magic $RPM_BUILD_ROOT%{_datadir}/magic.in
mkdir $RPM_BUILD_ROOT%{_datadir}/magic
mv $RPM_BUILD_ROOT%{_datadir}/magic.in $RPM_BUILD_ROOT%{_datadir}/magic/magic
mv $RPM_BUILD_ROOT%{_datadir}/magic.mime \
    $RPM_BUILD_ROOT%{_datadir}/magic/magic.mime
cp %SOURCE1 %buildroot/%{_datadir}/magic/magic.mime
    
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/file
%dir %{_datadir}/magic
%{_datadir}/magic/*
%{_mandir}/man1/file.1*
%{_mandir}/man5/magic.5*

%changelog
* Sun Apr  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.34-4mdk
- Merge rh patch.
- Remove broken entry gtkalog detect since it screwed rpm detection.

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.34-3mdk
- Make sur to define magic files in /usr/share/magic/magic.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.34-2mdk
- Print debugging information only in verbose mode.

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.34-1mdk
- new version

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.33-2mdk
- ask requested by Chmou move the magic files to its own directory.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.33-1mdk
- new and shiny version.

* Mon Sep 18 2000 DindinX <odin@mandrakesoft.com> 3.32-3mdk
- Added missing magic.mime file (thx to Egil)

* Tue Aug 29 2000 DindinX <odin@mandrakesoft.com> 3.32-2mdk
- use %%make macro
- some more BM in the install section

* Mon Aug 07 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.32-1mdk
- new release

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.31-3mdk
- BM

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.31-2mdk

- remove old commented commands.
- Stefan van der Eijk <s.vandereijk@chello.nl> did :
	- makeinstall macro
	- macroszifications

* Mon May 15 2000 DindinX <odin@mandrakesoft.com> 3.31-1mdk
- new version 3.31
- removed all unnecessary patches

* Tue Apr 11 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.30-1mdk
- new version 3.30
- fix license to BSD

* Thu Mar 23 2000 DindinX <odin@mandrakesoft.com> 3.28-2mdk
- Specs updates, new Group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- enable SMP build/check
- 3.28 :
	- Remove strip/realmedia patch (is there)
	- Remove sparc patch (perl does better, not need updateing)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with redhat changes.
- identify ELF stripped files correctly (r).
- use SPARC (not sparc) consistently throughout (r).
- add entries for MS Office files (r).

* Tue Aug 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redhat merge:
	- Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
	- diddle magic so that *.tfm files are identified correctly.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting po translations from MDK5.3.
- Bzip2 patch.
- 3.27.
- Removing unused stuff.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for realmedia support.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.
